Uploaded image for project: 'Red Hat Fuse'
  1. Red Hat Fuse
  2. ENTESB-14873

(Upgrade) Failing second Jaeger operator after Fuse Online update 7.7 to 7.8

    XMLWordPrintable

Details

    • Bug
    • Status: Done
    • Critical
    • Resolution: Done
    • fuse-7.8-GA
    • fuse-7.8-GA
    • Fuse Online
    • None
    • build5
    • Hide

      Install Fuse Online 7.7 via fuse online install script
      Checkout branch to the 1.11.x
      Login as an admin, grant permission to user, login as an user

      oc login -u admin -p <password>
      bash install_ocp.sh --grant developer
      oc login -u developer
      

      and perform the update*

      bash update_ocp.sh
      

      -------------------

      * If the fuse online install repo doesn't have any tag for 1.11.x branch, you need to extract Syndesis binary from operator image to the fuse-online-install folder

      docker run --entrypoint bash <OPERATOR_IMAGE> -c "cat /usr/local/bin/syndesis-operator" > ./fuse-online-install/syndesis-bin
      

      and manually update it in the update_ocp.sh

      SYNDESIS_CLI=./syndesis-bin
      

      Also you need to specify operator image

      $SYNDESIS_CLI install operator --image <IMAGE> --tag 1.8-13
      

      and the other images

      ...
      check_error $result
      
      oc scale dc syndesis-operator --replicas 0
      oc set env dc/syndesis-operator RELATED_IMAGE_SERVER=<IMAGE>
      oc set env dc/syndesis-operator RELATED_IMAGE_META=<IMAGE>
      oc set env dc/syndesis-operator RELATED_IMAGE_UI=<IMAGE>
      oc set env dc/syndesis-operator RELATED_IMAGE_S2I=<IMAGE>
      oc set env dc/syndesis-operator RELATED_IMAGE_PSQL_EXPORTER=<IMAGE>
      oc set env dc/syndesis-operator RELATED_IMAGE_UPGRADE=<IMAGE>
      oc scale dc syndesis-operator --replicas 1
      
      Show
      Install Fuse Online 7.7 via fuse online install script Checkout branch to the 1.11.x Login as an admin, grant permission to user, login as an user oc login -u admin -p <password> bash install_ocp.sh --grant developer oc login -u developer and perform the update* bash update_ocp.sh ------------------- * If the fuse online install repo doesn't have any tag for 1.11.x branch, you need to extract Syndesis binary from operator image to the fuse-online-install folder docker run --entrypoint bash <OPERATOR_IMAGE> -c "cat /usr/local/bin/syndesis- operator " > ./fuse-online-install/syndesis-bin and manually update it in the update_ocp.sh SYNDESIS_CLI=./syndesis-bin Also you need to specify operator image $SYNDESIS_CLI install operator --image <IMAGE> --tag 1.8-13 and the other images ... check_error $result oc scale dc syndesis- operator --replicas 0 oc set env dc/syndesis- operator RELATED_IMAGE_SERVER=<IMAGE> oc set env dc/syndesis- operator RELATED_IMAGE_META=<IMAGE> oc set env dc/syndesis- operator RELATED_IMAGE_UI=<IMAGE> oc set env dc/syndesis- operator RELATED_IMAGE_S2I=<IMAGE> oc set env dc/syndesis- operator RELATED_IMAGE_PSQL_EXPORTER=<IMAGE> oc set env dc/syndesis- operator RELATED_IMAGE_UPGRADE=<IMAGE> oc scale dc syndesis- operator --replicas 1

    Description

      After Fuse Online update from 7.7 to 7.8, the namespace contains two Jaeger operators, the old one from the 7.7 version which is in the failing state, and the new for 7.8. The failing Jaeger operator has this error in the log:

      Error: unknown flag: --collector.grpc.tls.enabled
      

      The behavior why this happens (also when 7.7 and 7.8 are installed on OCP at the same time) is described here.

      parichar@redhat.com Can we somehow in the update process delete Jaeger operator pod installed in 7.7 version?

      Attachments

        Activity

          People

            parichar@redhat.com Paul Richardson
            mkralik@redhat.com Matej Kralik
            Matej Kralik Matej Kralik
            Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved: